import config from './envConfig.js';
import wf from './public.js'
 
const request = (url = '', data = {}, header = {
	'Authorization': 'Bearer '+uni.getStorageSync('mes_token') ? 'Bearer '+uni.getStorageSync('mes_token') : '',
}) => {
	return new Promise((resolve, reject) => {
		uni.request({
			url: config.dev.VITE_BASE_API + url,
			method: "POST",
			dataType: "json",
			data: data,
			header: header,
			success: (res) => {
				if (res.data.code == 401){
					setTimeout( ()=> {
					 	uni.hideLoading();
					}, 200);
					uni.showModal({
						showCancel: false,
						title: '温馨提示',
						confirmColor:'#009688',
						content: res.data.message,
						success: (result)=> {
							if (result.confirm) {
								uni.reLaunch({
									url: '/pages/login/login'
								});
								wf.removeLoginData();
							}
						}
					});
					return
				}
				if(res.header.Authorization){
					uni.removeStorageSync('mes_token');
					let obj = new Object();
					let str = String(res.header.Authorization)
					let newStr = str.slice(0, 0) + str.slice(7)
					obj.mes_token = newStr;
					uni.setStorageSync("mes_token",obj.mes_token);
				}
				
				// 成功的回调
				if(res.data.code == 200){
					resolve(res.data);
				}else{
					uni.showToast({
						icon:'none',
						title:res.data.message
					})
				}
			},
			fail: (err) => {
				uni.showToast({
					title: "" + err.msg,
					icon: 'none'
				});
				reject(err)
			}
		})
	})
}
 const postFuncLoading = (url = '', data = {}, header = {
 	'Authorization': 'Bearer '+uni.getStorageSync('mes_token') ? 'Bearer '+uni.getStorageSync('mes_token') : '',
 }) => {
	 uni.showLoading({
	 	title: '加载中',
	 	mask: true
	 })
 	return new Promise((resolve, reject) => {
 		uni.request({
 			url: config.dev.VITE_BASE_API + url, //接口地址：前缀+方法中传入的地址
 			method: "POST", //请求方法
 			dataType: "json",
 			data: data, //传递参数
 			header: header, //自定义头部，和后端商同后编写
 			success: (res) => {
				setTimeout( ()=> {
				 	uni.hideLoading();
				}, 200);
 				if (res.data.code == 401){
 					wf.removeLoginData();
 					uni.showModal({
 						showCancel: false,
 						title: '温馨提示',
						confirmColor:'#009688',
 						content: res.data.message,
 						success: (result)=> {
 							if (result.confirm) {
 								uni.reLaunch({
 									url: '/pages/login/login'
 								});
 							}
 						}
 					});
					return
 				}
 				if(res.header.Authorization){
 					uni.removeStorageSync('mes_token');
 					let obj = new Object();
 					let str = String(res.header.Authorization)
 					let newStr = str.slice(0, 0) + str.slice(7)
 					obj.mes_token = newStr;
 					uni.setStorageSync("mes_token",obj.mes_token);
 				}
				// 成功的回调
 				if(res.data.code == 200){
					resolve(res.data)
				}else{
					uni.showToast({
						icon:'none',
						title:res.data.message
					})
				}
 			},
 			fail: (err) => {
 				uni.showToast({
 					title: "" + err.msg,
 					icon: 'none'
 				});
 				reject(err)
 			}
 		})
 	})
 }
export default {
	request,
	postFuncLoading
};

